import type { Animated } from 'react-native';
import type { Theme } from '../../types';
declare type CardMode = 'elevated' | 'outlined' | 'contained';
declare type Elevation = 0 | 1 | 2 | 3 | 4 | 5 | Animated.Value;
export declare const getCardCoverStyle: ({ theme, index, total, }: {
    theme: Theme;
    index?: number | undefined;
    total?: number | undefined;
}) => {
    borderRadius: number;
    borderTopLeftRadius?: undefined;
    borderTopRightRadius?: undefined;
    borderBottomLeftRadius?: undefined;
} | {
    borderTopLeftRadius: number;
    borderTopRightRadius: number;
    borderRadius?: undefined;
    borderBottomLeftRadius?: undefined;
} | {
    borderBottomLeftRadius: number;
    borderRadius?: undefined;
    borderTopLeftRadius?: undefined;
    borderTopRightRadius?: undefined;
} | undefined;
export declare const getCardColors: ({ theme, mode, isAdaptiveMode, elevation, }: {
    theme: Theme;
    mode: CardMode;
    isAdaptiveMode?: boolean | undefined;
    elevation: Elevation;
}) => {
    backgroundColor: string | Animated.AnimatedInterpolation;
    borderColor: string;
};
export {};
